CommonSchemaV1.FungibleState
Keywords: net.corda.core.schemas.CommonSchemaV1.FungibleState class
Date: 2023-09-18

net.corda.core.schemas

## Class CommonSchemaV1.FungibleState

- net.corda.core.schemas.PersistentState
- - net.corda.core.schemas.CommonSchemaV1.FungibleState

- All Implemented Interfaces:
    DirectStatePersistable, StatePersistable
  Enclosing class:
    CommonSchemaV1

      @MappedSuperclass
      public static class CommonSchemaV1.FungibleState
      extends PersistentState

- - ### Constructor Detail

    - #### FungibleState

          public FungibleState(@Nullable
                               java.util.Set<net.corda.core.identity.AbstractParty> participants,
                               @NotNull
                               AbstractParty owner,
                               long quantity,
                               @NotNull
                               AbstractParty issuer,
                               @NotNull
                               kotlin.Array[] issuerRef)

      Parameters:
        `participants` - X500Name of participant parties
        `owner` - X500Name of owner party
        `quantity` - Amount attributes
        `issuer` - X500Name of issuer party

  - ### Method Detail

    - #### getParticipants

          @Nullable
          public java.util.Set<net.corda.core.identity.AbstractParty> getParticipants()

      X500Name of participant parties

    - #### setParticipants

          public void setParticipants(@Nullable
                                      java.util.Set<net.corda.core.identity.AbstractParty> p)

      X500Name of participant parties

      Parameters:
        `p` - X500Name of participant parties

    - #### getOwner

          @NotNull
          public AbstractParty getOwner()

      X500Name of owner party

    - #### setOwner

          public void setOwner(@NotNull
                               AbstractParty p)

      X500Name of owner party

      Parameters:
        `p` - X500Name of owner party

    - #### getQuantity

          public long getQuantity()

      Amount attributes

    - #### setQuantity

          public void setQuantity(long p)

      Amount attributes

      Parameters:
        `p` - Amount attributes

    - #### getIssuer

          @NotNull
          public AbstractParty getIssuer()

      X500Name of issuer party

    - #### setIssuer

          public void setIssuer(@NotNull
                                AbstractParty p)

      X500Name of issuer party

      Parameters:
        `p` - X500Name of issuer party

    - #### getIssuerRef

          @NotNull
          public kotlin.Array[] getIssuerRef()

    - #### setIssuerRef

          public void setIssuerRef(@NotNull
                                   kotlin.Array[] p)